#Speed Ring/Power
#Command to give the item:
##/give @p globe_banner_pattern{CustomModelData:1,display:{Name:'[{"text":"Speed ","italic":false,"color":"blue"},{"text":"Ring","color":"gold"}]'}} 1
execute as @p at @s if entity @p[nbt={Inventory:[{id:"minecraft:globe_banner_pattern",Slot:8b,tag:{CustomModelData:1}}]}] run function jechu:speed
#PARTICLES
execute as @p at @s if entity @p[nbt={Inventory:[{id:"minecraft:globe_banner_pattern",Slot:8b,tag:{CustomModelData:1}}]}] if score @p Run matches 1.. run function jechu:particles/speed_particle
execute as @p at @s if entity @p[nbt={Inventory:[{id:"minecraft:globe_banner_pattern",Slot:8b,tag:{CustomModelData:1}}]}] if score @p Run matches 1.. run scoreboard players reset @s Run


#Invisibility Ring/Power
#Command to give the item:
##/give @p globe_banner_pattern{CustomModelData:2,display:{Name:'[{"text":"Invisibility ","italic":false,"color":"gray"},{"text":"Ring","color":"gold"}]'}}
execute as @p at @s if entity @p[nbt={Inventory:[{id:"minecraft:globe_banner_pattern",Slot:8b,tag:{CustomModelData:2}}]}] run function jechu:invisibility
#PARTICLES
execute as @p at @s if entity @p[nbt={Inventory:[{id:"minecraft:globe_banner_pattern",Slot:8b,tag:{CustomModelData:2}}]}] if score @p Run matches 1.. run function jechu:particles/invisibility_particle
execute as @p at @s if entity @p[nbt={Inventory:[{id:"minecraft:globe_banner_pattern",Slot:8b,tag:{CustomModelData:2}}]}] if score @p Run matches 1.. run scoreboard players reset @s Run


#Night_Vision Ring/Power
#Command to give the item:
##/give @p globe_banner_pattern{CustomModelData:3,display:{Name:'[{"text":"Night Vision ","italic":false,"color":"#cc66ff"},{"text":"Ring","color":"gold"}]'}}
execute as @p at @s if entity @p[nbt={Inventory:[{id:"minecraft:globe_banner_pattern",Slot:8b,tag:{CustomModelData:3}}]}] run function jechu:night_vision


#Fire_Resistance Ring/Power
#Command to give the item:
##/give @p globe_banner_pattern{CustomModelData:4,display:{Name:'[{"text":"Fire Resistant","italic":false,"color":"#cc6633"},{"text":" ","color":"#cc66ff"},{"text":"Ring","color":"gold"}]'}}
execute as @p at @s if entity @p[nbt={Inventory:[{id:"minecraft:globe_banner_pattern",Slot:8b,tag:{CustomModelData:4}}]}] run function jechu:fire_resistance
#PARTICLES
execute as @p at @s if entity @p[nbt={Inventory:[{id:"minecraft:globe_banner_pattern",Slot:8b,tag:{CustomModelData:4}}]}] if block ~ ~ ~ lava run function jechu:particles/fire_resistance_particle


#Regeneration Ring/Power
#Command to give the item:
##/give @p globe_banner_pattern{CustomModelData:5,display:{Name:'[{"text":"Healing","italic":false,"color":"red"},{"text":" "},{"text":"Ring","color":"gold"}]'}}
execute as @p at @s if entity @p[nbt={Inventory:[{id:"minecraft:globe_banner_pattern",Slot:8b,tag:{CustomModelData:5}}]}] run function jechu:regeneration
execute as @p at @s if score @s health matches 20 run effect clear @s slowness
#PARTICLES
execute as @a[predicate=jechu:regeneration_particles] if entity @p[nbt={Inventory:[{id:"minecraft:globe_banner_pattern",Slot:8b,tag:{CustomModelData:5}}]}] as @p at @s unless score @s health matches 20 run particle heart ~ ~1 ~ 0.4 0.8 0.4 1 1


#Resistence Ring/Power
#Command to give the item:
##/give @p globe_banner_pattern{CustomModelData:6,display:{Name:'[{"text":"Resistance","italic":false,"color":"#cccccc"},{"text":" "},{"text":"Ring","color":"gold"}]'}}
execute as @p at @s if entity @p[nbt={Inventory:[{id:"minecraft:globe_banner_pattern",Slot:8b,tag:{CustomModelData:6}}]}] run function jechu:resistence


#Teleport Ring/Power
#Command to give the item:
##/give @p carrot_on_a_stick{datos:"tpclick",CustomModelData:7,display:{Name:'[{"text":"Teleport ","italic":false,"color":"dark_purple"},{"text":"Ring","color":"gold"}]'}}
#PARTICLES
execute as @p at @s[scores={tpclick=1..}, nbt={SelectedItem:{tag:{datos:"tpclick"}},Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:7}}]}] run function jechu:particles/teleport
execute as @p at @s[scores={tpclick=1..}, nbt={SelectedItem:{tag:{datos:"tpclick"}},Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:7}}]}] run schedule function jechu:particles/teleport_particle_anim/teleport_anim1 5t
execute at @e[tag=c1] run function jechu:particles/c1
execute as @p at @s if score @s tpclick matches 1.. run scoreboard players reset @s tpclick

execute as @p at @s[scores={tpclick=1..}, nbt={SelectedItem:{tag:{datos:"tpclick"}},Inventory:[{id:"minecraft:carrot_on_a_stick",Slot:8b,tag:{CustomModelData:7}}]}] run schedule function jechu:teleport 4s
execute as @p at @s[scores={tpclick=1..}, nbt={SelectedItem:{tag:{datos:"tpclick"}},Inventory:[{id:"minecraft:carrot_on_a_stick",Slot:8b,tag:{CustomModelData:7}}]}] run scoreboard players reset @s tpclick
execute as @p at @s[scores={tpclick=1..}, nbt={SelectedItem:{tag:{datos:"tpclick"}},Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:7}}]}] run scoreboard players reset @s tpclick



#Amplification Ring/Power
#Command to give the item:
##/give @p carrot_on_a_stick{datos:"amplificationclick", CustomModelData:8, display:{Name:'[{"text":"Amplification","italic":false,"color":"dark_red"},{"text":" "},{"text":"Ring","color":"gold"}]'}}
execute as @p at @s[scores={amplificationclick=1..}, nbt={SelectedItem:{tag:{datos:"amplificationclick"}},Inventory:[{id:"minecraft:carrot_on_a_stick",Slot:8b,tag:{CustomModelData:8}}]}] as @a[predicate=jechu:amplification_timer] run function jechu:amplificationwait
execute as @p at @s[scores={amplificationclick=1..}, nbt={SelectedItem:{tag:{datos:"amplificationclick"}},Inventory:[{id:"minecraft:carrot_on_a_stick",Slot:8b,tag:{CustomModelData:8}}]}] as @a[tag=!AmplificationTimer] run function jechu:amplification
execute as @p at @s[scores={amplificationclick=1..}, nbt={SelectedItem:{tag:{datos:"amplificationclick"}},Inventory:[{id:"minecraft:carrot_on_a_stick",Slot:8b,tag:{CustomModelData:8}}]}] run scoreboard players reset @s amplificationclick
execute as @p at @s[scores={amplificationclick=1..}, nbt={SelectedItem:{tag:{datos:"amplificationclick"}},Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:8}}]}] run scoreboard players reset @s amplificationclick


#Underwater_Breath Ring/Power
#Command to give the item:
##/give @p globe_banner_pattern{CustomModelData:9, display:{Name:'[{"text":"Underwater Breath","italic":false,"color":"dark_blue"},{"text":" "},{"text":"Ring","color":"gold"}]'}}
execute as @p at @s if entity @p[nbt={Inventory:[{id:"minecraft:globe_banner_pattern",Slot:8b,tag:{CustomModelData:9}}]}] run function jechu:underwater_breath


#Explosive Ring/Power
#Command to give the item:
##/give @p carrot_on_a_stick{datos:"explosiveclick", CustomModelData:10, display:{Name:'[{"text":"T","italic":false,"color":"dark_red"},{"text":"N","color":"gray"},{"text":"T "},{"text":"Ring","color":"gold"}]'}}
execute as @p at @s[scores={explosiveclick=1..}, nbt={SelectedItem:{tag:{datos:"explosiveclick"}}, Inventory:[{id:"minecraft:carrot_on_a_stick",Slot:8b,tag:{CustomModelData:10}}]}] run function jechu:explosive
execute as @p at @s[scores={explosiveclick=1..}, nbt={SelectedItem:{tag:{datos:"explosiveclick"}}, Inventory:[{id:"minecraft:carrot_on_a_stick",Slot:8b,tag:{CustomModelData:10}}]}] run function jechu:particles/tnt
execute as @p at @s[scores={explosiveclick=1..}, nbt={SelectedItem:{tag:{datos:"explosiveclick"}}, Inventory:[{id:"minecraft:carrot_on_a_stick",Slot:8b,tag:{CustomModelData:10}}]}] run scoreboard players reset @s explosiveclick
execute as @p at @s[scores={explosiveclick=1..}, nbt={SelectedItem:{tag:{datos:"explosiveclick"}}, Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:10}}]}] run scoreboard players reset @s explosiveclick
#PARTICLES


#Gravity Ring/Power
#Command to give the item:
##/give @p carrot_on_a_stick{datos:"gravityclick", CustomModelData:11, display:{Name:'[{"text":"Gravity ","italic":false,"color":"white"},{"text":"Ring","color":"gold"}]'}}
execute as @p at @s[scores={gravityclick=1..}, nbt={SelectedItem:{tag:{datos:"gravityclick"}},Inventory:[{id:"minecraft:carrot_on_a_stick",Slot:8b,tag:{CustomModelData:11}}]}] as @a[tag=gravity] run tag @s remove gravity
execute as @p at @s positioned over motion_blocking if entity @s[dy=999] as @a[tag=!gravity] run effect clear @s minecraft:levitation
execute as @p at @s positioned over motion_blocking if entity @s[dy=999] as @a[scores={gravityclick=1..}, nbt={SelectedItem:{tag:{datos:"gravityclick"}},Inventory:[{id:"minecraft:carrot_on_a_stick",Slot:8b,tag:{CustomModelData:11}}]}] run tag @s add gravity
execute as @p at @s[scores={gravityclick=1..}, nbt={SelectedItem:{tag:{datos:"gravityclick"}},Inventory:[{id:"minecraft:carrot_on_a_stick",Slot:8b,tag:{CustomModelData:11}}]}] as @a[tag=!gravity] run function jechu:gravity
#Clear the Levitation effect if the player no longer has the item in their inventory.
execute as @p at @s if entity @s unless entity @s[nbt={Inventory:[{id:"minecraft:carrot_on_a_stick",Slot:8b,tag:{CustomModelData:11}}]}] run effect clear @s levitation
#Reset the scoreboard
execute as @p at @s[scores={gravityclick=1..}, nbt={SelectedItem:{tag:{datos:"gravityclick"}},Inventory:[{id:"minecraft:carrot_on_a_stick",Slot:8b,tag:{CustomModelData:11}}]}] run scoreboard players reset @s gravityclick
execute as @p at @s[scores={gravityclick=1..}, nbt={SelectedItem:{tag:{datos:"gravityclick"}},Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:11}}]}] run scoreboard players reset @s gravityclick
#PARTICLES
execute as @a[predicate=jechu:gravity_particles] if entity @p[nbt={Inventory:[{id:"minecraft:carrot_on_a_stick",Slot:8b,tag:{CustomModelData:11}}]}] at @s run particle minecraft:cloud ~ ~1.6 ~ 0.4 0 0.4 0 1



#Anillo de Mago
##/give @s carrot_on_a_stick{datos:"magic", CustomModelData:12 ,display:{Name:'[{"text":"Magician","italic":false,"color":"light_purple"},{"text":" "},{"text":"Ring","color":"gold"}]'}} 1
execute as @p at @s[tag=magic_anillo] if score @s HungerLevel matches 20 run scoreboard players set @e[tag=raycast_from] raycast.length 60
execute as @p at @s[tag=magic_anillo] if score @s HungerLevel matches 20 as @e[tag=raycast_from] at @s anchored eyes run function jechu:raycast
execute as @p at @s[scores={magic=1}, nbt={SelectedItem:{tag:{datos:"magic"}}, Inventory:[{id:"minecraft:carrot_on_a_stick",Slot:8b,tag:{CustomModelData:12}}]}] unless score @s HungerLevel matches 20 run function jechu:raycast2
execute as @p at @s unless score @s HungerLevel matches 20 run scoreboard players reset @s HungerLevel
execute as @p at @s unless score @s HungerLevel matches 20 run scoreboard players reset @s magic
execute as @p at @s if score @s magic matches 3.. run scoreboard players reset @s magic
#Command to give the item:
##/give @s carrot_on_a_stick{datos:"magic", CustomModelData:12 ,display:{Name:'[{"text":"Magician","italic":false,"color":"light_purple"},{"text":" "},{"text":"Ring","color":"gold"}]'}} 1
execute as @p at @s[scores={magic=1}, nbt={SelectedItem:{tag:{datos:"magic"}}, Inventory:[{id:"minecraft:carrot_on_a_stick",Slot:8b,tag:{CustomModelData:12}}]}] if score @s HungerLevel matches 20 run function jechu:magic